This resource contains a request to provide a diet, formula feeding, or nutritional supplement to a patient or resident.
Nutrition orders may include one or more of the following, depending on the organization and the patient’s care plan:
- Oral diets: Diet types, textures, or fluid consistencies for food taken by mouth (e.g., a sodium-restricted or pureed diet).
- Oral nutritional supplements: Products taken by mouth in addition to a diet (e.g., protein shakes).
- Enteral formulas: Formula feedings delivered through a tube, including administration rate, schedule, and any additives.
Nutrition orders may also contain a patient’s food allergies, intolerances, or food preferences (e.g., vegetarian or kosher) to help care teams prepare appropriate meals.
You can review or search for nutrition order details.
_search
Query for a patient's diet orders by patient, encounter, status, date, or diet type.
cURL request example
Request Body Schema
- patientArray of string
The patient who the nutrition order is for
- patient.identifierArray of string
One or more external identifiers for the patient
- encounterArray of string
The encounter during which the nutrition order was placed
- encounter.identifierArray of string
Identifier(s) by which this encounter is known
- identifierArray of string
An identifier for the nutrition order
- statusArray of string
The status of the nutrition order
- datetimeArray of string
The date and time the nutrition order was requested
- providerArray of string
The provider who placed the nutrition order
- provider.identifierArray of string
One or more external identifiers for the practitioner
- oraldietArray of string
The type of oral diet, such as a low sodium diet
- supplementArray of string
The type of nutritional supplement
- formulaArray of string
The type of enteral or infant formula
- additiveArray of string
The type of additive to add to the enteral formula
- instantiates-canonicalArray of string
The protocol or definition that the nutrition order instantiates
- resourceTyperequired, string
Identifies the type of the resource
Value:Bundle - typerequired, string
Identifies this bundle as a response to a search
Value:searchset - totalrequired, number
The total number of matches
- entryArray of NutritionOrder or Other
A resource matching the search criteria or related to a matching resource
- resourcerequired, object
Search results for a search on the NutritionOrder resource.
- resourceTyperequired, string
Identifies the type of the resource
Value:NutritionOrder - statusrequired, string
The workflow status of the nutrition order/request.
Possible Values:draft,active,on-hold,revoked,completed,entered-in-error,unknown - intentrequired, string
Indicates the level of authority/intentionality associated with the nutrition order and where the request fits into the workflow chain.
Possible Values:proposal,plan,directive,order,original-order,reflex-order,filler-order,instance-order,option - patientrequired, object
The patient who receives the diet.
Must be a resource of type
Patient.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- dateTimerequired, string
The date and time that this nutrition order was requested.
- idstring
The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.
- oralDietobject
Diet given orally in contrast to enteral (tube) feeding.
- typeArray of object
The kind of diet or dietary restriction such as fiber restricted diet or diabetic diet.
- codingArray of object
A reference to a code defined by a terminology system.
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
- textureArray of object
Class that describes any texture modifications required for the patient to safely consume various types of solid foods.
- modifierobject
Any texture modifications (for solid foods) that should be made, e.g. easy to chew, chopped, ground, and pureed.
- codingArray of object
A reference to a code defined by a terminology system.
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
- instructionstring
Free text or additional instructions or information pertaining to the oral diet.
- noteArray of object
Comments made about the nutrition order by the requester, performer, subject, or other participants.
- textrequired, string
The text of the annotation in markdown format.
- searchrequired, object
Information about the search process that lead to the creation of this entry.
- moderequired, string
Identifies the NutritionOrder as matching the search parameters
Value:match
Response to a NutritionOrder search operation